<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 06/25/2004 *
 * ================                             Last change: 05/05/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-autopurge.php                               *
 * -------------------------------------------------------------------- *
 * Short description : AutoPurge configuration                          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : AutoPurge-Konfiguration                          *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

if (IS_FORM_SENT()) {
	// Data was submitted so we store it
	ADMIN_SAVE_SETTINGS_POST();
} else {
	// Output de-/activation selections
	define('__AP_INACTIVE_SELECTION'   , ADD_SELECTION("yn", getConfig('autopurge_inactive')   , "autopurge_inactive"));
	define('__AP_UNCONFIRMED_SELECTION', ADD_SELECTION("yn", getConfig('autopurge_unconfirmed'), "autopurge_unconfirmed"));
	define('__AP_TASKS_SELECTION'      , ADD_SELECTION("yn", getConfig('ap_tasks')             , "autopurge_tasks"));
	define('__AP_DEL_MAILS_SELECTION'  , ADD_SELECTION("yn", getConfig('ap_del_mails')         , "ap_del_mails"));

	// Output notification selections
	define('__AP_NOTIFY_INACTIVE'      , ADD_SELECTION("yn", getConfig('ap_in_notify')   , "ap_in_notify"));
	define('__AP_NOTIFY_UNCONFIRMED'   , ADD_SELECTION("yn", getConfig('ap_un_notify')   , "ap_un_notify"));
	define('__AP_NOTIFY_TASKS'         , ADD_SELECTION("yn", getConfig('ap_tasks_notify'), "ap_tasks_notify"));
	define('__AP_NOTIFY_DEL_MAILS'     , ADD_SELECTION("yn", getConfig('ap_dm_notify')   , "ap_dm_notify"));

	// Output time selection boxes
	define('__AP_IN_SINCE'      , CREATE_TIME_SELECTIONS(getConfig('ap_inactive_since'), "ap_inactive_since"  , "MWDh"));
	define('__AP_IN_TIME'       , CREATE_TIME_SELECTIONS(getConfig('ap_in_time')       , "ap_inactive_time"   , "MWDh"));
	define('__AP_UN_TIME'       , CREATE_TIME_SELECTIONS(getConfig('ap_un_time')       , "ap_unconfirmed_time", "MWDh"));
	define('__AP_TASK_TIME'     , CREATE_TIME_SELECTIONS(getConfig('ap_tasks_time')    , "ap_tasks_time"      , "MWDh"));
	define('__AP_DEL_MAILS_TIME', CREATE_TIME_SELECTIONS(getConfig('ap_dm_timeout')    , "ap_dm_timeout"      , "MWDh"));

	// Mail confirmation links
	define('_CFG_AUTO_PURGE', CREATE_TIME_SELECTIONS(getConfig('auto_purge'), "auto_purge", "MWD"));
	if (getConfig('auto_purge_active') != "Y") {
		define('_CFG_AP_ACTIVE_N', " checked=\"checked\"");
		define('_CFG_AP_ACTIVE_Y', "");
	} else {
		define('_CFG_AP_ACTIVE_N', "");
		define('_CFG_AP_ACTIVE_Y', " checked=\"checked\"");
	}

	// Output template
	LOAD_TEMPLATE("admin_config_autopurge");
}
//
?>
