<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/09/2005 *
 * ================                             Last change: 01/09/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_beg.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Setup beg link                                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Bettel-Link einstellen                           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

if (IS_FORM_SENT()) {
	// Translate german decimal commas to computer decimal dots
	REQUEST_SET_POST('beg_points'      , REVERT_COMMA(REQUEST_POST('beg_points')      ));
	REQUEST_SET_POST('beg_points_max'  , REVERT_COMMA(REQUEST_POST('beg_points_max')  ));
	REQUEST_SET_POST('beg_notify_bonus', REVERT_COMMA(REQUEST_POST('beg_notify_bonus')));

	// Save settings
	ADMIN_SAVE_SETTINGS_POST();

	// Remember new settings
	setConfigEntry('beg_rallye'       , REQUEST_POST('beg_rallye'));
	setConfigEntry('beg_ral_en_notify', REQUEST_POST('beg_ral_en_notify'));
	setConfigEntry('beg_ral_di_notify', REQUEST_POST('beg_ral_di_notify'));
} else {
	// Prepare constants for the template
	define('__BEG_POINTS'           , TRANSLATE_COMMA(getConfig('beg_points')      , false));
	define('__BEG_POINTS_MAX'       , TRANSLATE_COMMA(getConfig('beg_points_max')  , false));
	define('__BEG_NOTIFY_BONUS'     , TRANSLATE_COMMA(getConfig('beg_notify_bonus'), false));
	define('__BEG_TIMEOUT'          , CREATE_TIME_SELECTIONS(getConfig('beg_timeout')    , "beg_timeout"    , "Dhm"));
	define('__BEG_UID_TIMEOUT'      , CREATE_TIME_SELECTIONS(getConfig('beg_uid_timeout'), "beg_uid_timeout", "Dhm"));
	define('__BEG_REMOTE_IP_TIMEOUT', CREATE_TIME_SELECTIONS(getConfig('beg_ip_timeout') , "beg_ip_timeout" , "Dhm"));
	define('__WAIT_SELECTION'       , CREATE_TIME_SELECTIONS(getConfig('beg_notify_wait'), "beg_notify_wait", "ms" ));
	define('__BEG_RANKS'            , getConfig('beg_ranks'));

	// Activate / Deactivate beg rallye (Y/N)
	switch (getConfig('beg_rallye'))
	{
	case "Y":
		define('__BEG_RALLYE_Y', " checked=\"checked\"");
		define('__BEG_RALLYE_N', "");
		break;

	case "N":
		define('__BEG_RALLYE_Y', "");
		define('__BEG_RALLYE_N', " checked=\"checked\"");
		break;
	}

	switch (getConfig('beg_active'))
	{
	case "Y":
		define('__BEG_ACTIVE_Y', " checked=\"checked\"");
		define('__BEG_ACTIVE_N', "");
		break;

	case "N":
		define('__BEG_ACTIVE_Y', "");
		define('__BEG_ACTIVE_N', " checked=\"checked\"");
		break;
	}

	switch (getConfig('beg_mode'))
	{
	case "DIRECT":
		define('__BEG_MODE_DIRECT', " checked=\"checked\"");
		define('__BEG_MODE_REF'   , "");
		break;

	case "REF":
		define('__BEG_MODE_DIRECT', "");
		define('__BEG_MODE_REF'   , " checked=\"checked\"");
		break;
	}

	switch (getConfig('beg_ral_en_notify'))
	{
	case "Y":
		define('__BEG_RAL_EN_NOTIFY_Y', " checked=\"checked\"");
		define('__BEG_RAL_EN_NOTIFY_N', "");
		break;

	case "N":
		define('__BEG_RAL_EN_NOTIFY_Y', "");
		define('__BEG_RAL_EN_NOTIFY_N', " checked=\"checked\"");
		break;
	}

	switch (getConfig('beg_ral_di_notify'))
	{
	case "Y":
		define('__BEG_RAL_DI_NOTIFY_Y', " checked=\"checked\"");
		define('__BEG_RAL_DI_NOTIFY_N', "");
		break;

	case "N":
		define('__BEG_RAL_DI_NOTIFY_Y', "");
		define('__BEG_RAL_DI_NOTIFY_N', " checked=\"checked\"");
		break;
	}

	switch (getConfig('beg_new_mem_notify'))
	{
	case "Y":
		define('__BEG_NEW_MEMBER_NOTIFY_Y', " checked=\"checked\"");
		define('__BEG_NEW_MEMBER_NOTIFY_N', "");
		break;

	case "N":
		define('__BEG_NEW_MEMBER_NOTIFY_Y', "");
		define('__BEG_NEW_MEMBER_NOTIFY_N', " checked=\"checked\"");
		break;
	}

	switch (getConfig('beg_include_own'))
	{
	case "Y":
		define('__BEG_INCLUDE_OWN_Y', " checked=\"checked\"");
		define('__BEG_INCLUDE_OWN_N', "");
		break;

	case "N":
		define('__BEG_INCLUDE_OWN_Y', "");
		define('__BEG_INCLUDE_OWN_N', " checked=\"checked\"");
		break;
	}

	switch (getConfig('beg_pay_mode')) {
		case "IMG":
			define('__BEG_PAY_MODE_IMG' , " selected=\"selected\"");
			define('__BEG_PAY_MODE_JS'  , "");
			define('__BEG_PAY_MODE_BOTH', "");
			define('__BEG_PAY_MODE_NONE', "");
			break;

		case "JS":
			define('__BEG_PAY_MODE_IMG' , "");
			define('__BEG_PAY_MODE_JS'  , " selected=\"selected\"");
			define('__BEG_PAY_MODE_BOTH', "");
			define('__BEG_PAY_MODE_NONE', "");
			break;

		case "BOTH":
			define('__BEG_PAY_MODE_IMG' , "");
			define('__BEG_PAY_MODE_JS'  , "");
			define('__BEG_PAY_MODE_BOTH', " selected=\"selected\"");
			define('__BEG_PAY_MODE_NONE', "");
			break;

		case "NONE":
			define('__BEG_PAY_MODE_IMG' , "");
			define('__BEG_PAY_MODE_JS'  , "");
			define('__BEG_PAY_MODE_BOTH', "");
			define('__BEG_PAY_MODE_NONE', " selected=\"selected\"");
			break;
	}

	// Add data to constant __MEMBER_SELECTION
	define('__MEMBER_SELECTION', ADD_MEMBER_SELECTION_BOX(getConfig('beg_uid'), false, true, true, "beg_uid"));

	// Load form template
	LOAD_TEMPLATE("admin_config_beg");
}

//
?>
