<?php
/************************************************************************
 * M-XChange v0.2.1                                   Start: 06/10/2005 *
 * ================                             Last change: 05/19/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_sponsor_pay.php                        *
 * -------------------------------------------------------------------- *
 * Short description : List/edit/delete all payments and add new        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auflisten/Aendern/Loeschen aller Buchungspakete  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

$MSG = "";

if (REQUEST_ISSET_POST(('add'))) {
	// Check input variables
	if (!REQUEST_ISSET_POST(('pay_name'))) REQUEST_UNSET_POST(('add'));
	if ((round(REQUEST_POST('pay_rate')) == 0) || (!REQUEST_ISSET_POST(('pay_rate')))) REQUEST_UNSET_POST(('add'));

	REQUEST_SET_POST('pay_min_count', bigintval(REQUEST_POST('pay_min_count')));

	if ((REQUEST_POST('pay_min_count') == 0) || (!REQUEST_ISSET_POST(('pay_min_count')))) REQUEST_UNSET_POST(('add'));
	if (!REQUEST_ISSET_POST(('pay_currency'))) REQUEST_UNSET_POST(('add'));

} elseif ((REQUEST_ISSET_POST('edit')) || (REQUEST_ISSET_POST('del')) || (REQUEST_ISSET_POST(('change'))) || (REQUEST_ISSET_POST(('remove')))) {
	// Check if at least one entry was selected
	if (!REQUEST_ISSET_POST(('id'))) {
		// Nothing selected for editing / deleting???
		REQUEST_UNSET_POST('edit');
		REQUEST_UNSET_POST('del');
		REQUEST_UNSET_POST(('change'));
		REQUEST_UNSET_POST(('remove'));
	} elseif (REQUEST_ISSET_POST(('change'))) {
		// Change entries here...
		foreach (REQUEST_POST('id') as $id => $sel) {
			// Secure ID
			$id = bigintval($id);

			// Save entry
			SQL_QUERY_ESC("UPDATE `{!_MYSQL_PREFIX!}_sponsor_paytypes`
SET pay_name='%s', pay_rate='%s', pay_min_count='%s', pay_currency='%s' WHERE id='%s' LIMIT 1",
				array(
					REQUEST_POST('name', $id),
					REQUEST_POST('rate', $id),
					bigintval(REQUEST_POST('min', $id)),
					REQUEST_POST('curr', $id),
					$id
				), __FILE__, __LINE__);
		}

		// Generate message
		$MSG = getMessage('SPONSOR_PAY_ENTRIES_CHANGED');
	} elseif (REQUEST_ISSET_POST(('remove'))) {
		// Remove entries here...
		foreach (REQUEST_POST('id') as $id => $sel) {
			// Remove entry
			SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{!_MYSQL_PREFIX!}_sponsor_paytypes` WHERE id='%s' LIMIT 1",
				array(bigintval($id)), __FILE__, __LINE__);
		}

		// Generate message
		$MSG = getMessage('SPONSOR_PAY_ENTRIES_REMOVED');
	}

	if (!empty($MSG)) {
		// Output message
		LOAD_TEMPLATE("admin_settings_saved", false, $MSG);
	}
}

if (REQUEST_ISSET_POST(('add'))) {
	// Check if entry with same name does exists
	$result = SQL_QUERY_ESC("SELECT id FROM `{!_MYSQL_PREFIX!}_sponsor_paytypes` WHERE pay_name='%s' LIMIT 1",
		array(REQUEST_POST('pay_name')), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 0) {
		// No entry found so add this line
		SQL_QUERY_ESC("INSERT INTO `{!_MYSQL_PREFIX!}_sponsor_paytypes` (pay_name, pay_rate, pay_min_count, pay_currency) VALUES ('%s','%s','%s','%s')",
			array(
				htmlspecialchars(REQUEST_POST('pay_name')),
				REVERT_COMMA(REQUEST_POST('pay_rate')),
				bigintval(REQUEST_POST('pay_min_count')),
				htmlspecialchars(REQUEST_POST('pay_currency'))
			), __FILE__, __LINE__);

		// Payment type added!
		$MSG = sprintf(getMessage('ADMIN_SPONSOR_PAYTYPE_ADDED'), REQUEST_POST('pay_name'));
	} else {
		// Free memory
		SQL_FREERESULT($result);

		// Entry does already exists
		$MSG = sprintf(getMessage('ADMIN_SPONSOR_PAYTYPE_ALREADY'), REQUEST_POST('pay_name'));
	}

	// Output message
	LOAD_TEMPLATE("admin_settings_saved", false, $MSG);
} elseif ((REQUEST_ISSET_POST('edit')) || (REQUEST_ISSET_POST('del'))) {
	// Load all data
	$OUT = ""; $SW = 2;
	foreach (REQUEST_POST('id') as $id => $sel) {
		// Load entry
		$result = SQL_QUERY_ESC("SELECT pay_name, pay_rate, pay_min_count, pay_currency FROM `{!_MYSQL_PREFIX!}_sponsor_paytypes` WHERE id='%s' LIMIT 1",
		 array(bigintval($id)), __FILE__, __LINE__);
		if (SQL_NUMROWS($result) == 1) {
			// Load data
			list($name, $rate, $min, $curr) = SQL_FETCHROW($result);
			SQL_FREERESULT($result);

			// Transfer data to array
			$content = array(
				'id'   => bigintval($id),
				'sw'   => bigintval($SW),
				'name' => htmlspecialchars($name),
				'rate' => TRANSLATE_COMMA($rate),
				'min'  => bigintval($min),
				'curr' => htmlspecialchars($curr)
			);

			if (REQUEST_ISSET_POST('edit')) {
				// Edit entry
				$OUT .= LOAD_TEMPLATE("admin_list_sponsor_pay_edit_row", true, $content);
			} else {
				// Delete entry
				$OUT .= LOAD_TEMPLATE("admin_list_sponsor_pay_del_row", true, $content);
			}
		} else {
			// Entry invalid
			$OUT .= LOAD_TEMPLATE("admin_list_sponsor_pay_404", true, $id);
		}

		// Switch colors
		$SW = 3 - $SW;
	} // END - foreach

	// Remember content in constant
	define('__SPONSOR_ROWS', $OUT);

	// Load main template depending on mode (edit/delete)
	if (REQUEST_ISSET_POST('edit')) {
		// Load main edit template
		LOAD_TEMPLATE("admin_list_sponsor_pay_edit");
	} else {
		// Load main delete template
		LOAD_TEMPLATE("admin_list_sponsor_pay_del");
	}
} else {
	// Load all payment types
	$result = SQL_QUERY("SELECT id, pay_name, pay_rate, pay_min_count, pay_currency FROM `{!_MYSQL_PREFIX!}_sponsor_paytypes` ORDER BY pay_name",
	 __FILE__, __LINE__);

	// Do we have some paytypes setup?
	if (SQL_NUMROWS($result) > 0) {
		// Prepare variables for listing
		$OUT = ""; $SW = 2;

		// List alle found payment types
		while ($content = SQL_FETCHARRAY($result)) {
			// Remember data in array
			$content = array(
				'sw'       => $SW,
				'id'       => $content['id'],
				'name'     => $content['pay_name'],
				'rate'     => TRANSLATE_COMMA($content['pay_rate']),
				'min'      => $content['pay_min_count'],
				'currency' => $content['pay_currency']
			);

			// Add row
			$OUT .= LOAD_TEMPLATE("admin_list_sponsor_pay_row", true, $content);

			// Switch colors
			$SW = 3 - $SW;
		} // END - while

		// Free memory
		SQL_FREERESULT($result);

		// Remember rows in constant for the template
		define('__LIST_ROWS', $OUT);

		// Load list template
		define('__LIST_CONTENT', LOAD_TEMPLATE("admin_list_sponsor_pay", true));
	} else {
		// Noting setup so far!
		define('__LIST_CONTENT', LOAD_TEMPLATE("admin_settings_saved", true, getMessage('ADMIN_SPONSOR_NO_PAYTYPES')));
	}

	// Add new payment types here
	define('__ADD_CONTENT', LOAD_TEMPLATE("admin_add_sponsor_paytype", true));

	// Load final template
	LOAD_TEMPLATE("admin_sponsor_paytypes");
}

//
?>
